This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 696488 - Cannot load /etc/httpd/modules/mod_proxy.so into server: /etc/httpd/modules/mod_proxy.so: undefined symbol: ap_get_server_banner
Cannot load /etc/httpd/modules/mod_proxy.so into server: /etc/httpd/modules/m...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd (Show other bugs)
5.7
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Joe Orton
BaseOS QE Security Team
: Regression
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2011-04-14 02:58 EDT by Jan Hutař
Modified: 2012-03-08 04:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 04:53:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2011-04-14 02:58:42 EDT
Description of problem:
I have default RHEL5.7-Server-20110413.1_nfs-x86_64 installed and when I try to install RHN Satellite on top of it, I'm getting syntax error when httpd is being restarted.


Version-Release number of selected component (if applicable):
httpd-2.2.3-49.el5


How reproducible:
1 of 1 attempt


Steps to Reproduce:
1. install RHEL5.7-Server-20110413.1
2. install RHN Satellite 5.4.0 (not sure if this is a required step)
3. # service httpd restart


Actual results:
# service httpd restart
Stopping httpd: [FAILED]
Starting httpd: httpd: Syntax error on line 188 of /etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_proxy.so into server: /etc/httpd/modules/mod_proxy.so: undefined symbol: ap_get_server_banner
[FAILED]


Expected results:
Should wok as expected


Additional info:
# rpm -qfV /etc/httpd/conf/httpd.conf
<no output>
Comment 1 Šimon Lukašík 2011-04-14 03:08:00 EDT
This is a regression against httpd-2.2.3-48.el5
Comment 2 Joe Orton 2011-04-14 08:13:48 EDT
This was a mismerge in the patch for bug 658766.
Comment 7 errata-xmlrpc 2011-07-21 04:53:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1067.html
Comment 8 errata-xmlrpc 2011-07-21 07:48:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1067.html

Note You need to log in before you can comment on or make changes to this bug.